#3031 closed infra (fixed)

Give docs.rtems.org and sync.rtems.org jails access to the TrueNAS storage.

Reported by: Chris Johns Owned by: Amar Takhar
Priority: normal Milestone: 4.11.3
Component: doc Version: 4.11
Severity: blocker Keywords:
Cc: Joel@… Blocked By:
Blocking:

Description

Giving jails such as docs and sync access to an area of the TrueNAS storage would make building and moving of the docs from sync to the docs website much simpler.

Currently I build the docs on a server in Sydney, copy them to the RTEMS FTP server using an ssh key and docs.rtems.org picks up the copy. I like to make the whole process local to the RTEMS servers and not rely on gear here with my dodgy connection and me needing to monitor it.

Change History (14)

comment:1 Changed on Jun 7, 2017 at 6:58:09 AM by Joel Sherrill

Cc: Joel@… added

comment:2 Changed on Jun 7, 2017 at 11:45:10 AM by Amar Takhar

OK I will look into this Tonight or Friday (2017-06-09). I'll try to get it done quickly tonight but that will depend on what time I get home.

comment:3 Changed on Jun 15, 2017 at 2:27:38 AM by Chris Johns

How is this going?

comment:4 Changed on Jun 15, 2017 at 2:34:32 AM by Amar Takhar

Sigh, thanks for the reminder. I need to setup auto-reminders for trac to harass me.

I need to fix something in the switch to give this machine access to the VLAN I am away tomorrow (2016-06-15) but I will be back Friday (2016-06-16). I will take care of this then and have entered it into my calendar.

comment:5 Changed on Jun 15, 2017 at 2:35:56 AM by Chris Johns

Hey no problem, and thanks. Let me know how it goes.

comment:6 Changed on Jun 19, 2017 at 7:00:38 PM by Amar Takhar

FYI an update I'm almost done this just took some time to clean up a few VLANs on the switch.

comment:7 Changed on Jul 11, 2017 at 12:35:11 AM by Chris Johns

Milestone: 4.11.24.11.3
Severity: majorblocker

I cannot wait any longer and will release RTEMS 4.11.2. Moving this to 4.11.3 and making it a blocker issue.

comment:8 Changed on Jul 11, 2017 at 12:35:41 AM by Chris Johns

Owner: changed from chrisj@… to Amar Takhar
Status: newassigned

Assign to Amar.

comment:9 Changed on Jul 11, 2017 at 2:23:30 AM by Amar Takhar

Huh, I thought I did this already I will look at it in the morning. Sorry.

comment:10 Changed on Jul 11, 2017 at 2:24:07 AM by Amar Takhar

I think all I need to do is attach the share, it's late here I will do it in the morning.

comment:11 Changed on Jul 11, 2017 at 12:30:19 PM by Amar Takhar

This is done please check to make sure it works.

comment:12 in reply to:  11 Changed on Jul 11, 2017 at 11:43:30 PM by Chris Johns

Replying to Amar Takhar:

This is done please check to make sure it works.

Thank you. I will take a look over this week.

comment:13 Changed on Sep 3, 2017 at 5:37:17 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:14 Changed on Oct 10, 2017 at 6:06:29 AM by Sebastian Huber

Component: Documentationdoc
Note: See TracTickets for help on using tickets.